#ifndef _FC_ADDRESS_H_
#define _FC_ADDRESS_H_

/* ARP FirmWare start address. */
#define FC_ARP_ADDRESS 0x22000000

/* IP.BIN start offset. */
#define FC_IPBIN_OFFSET 0
/* Loader start offset. */ // 0x22000F00
#define FC_LOADER_OFFSET (FC_IPBIN_OFFSET + 0xF00)
/* Compressed data start offset. */ // 0x22001300
#define FC_DATA_OFFSET (FC_LOADER_OFFSET + 0x200/*512B*/)

/* Parameters start offset. */
#define FC_PARAMS_OFFSET (FC_DATA_OFFSET - 4*4/*Max 4 parameters*/)
/* Parameter 1: input datalen. */
#define FC_PDATALEN_INDEX 0
/* Parameter 2: execution address. */
#define FC_EXEADDRS_INDEX 1

#endif
